Subject: Re: bug#66068: 30.0.50; xwidget-webkit-browse-url makes Emacs abort

From: Stephen Berman <[email-masked]>
Date: Sun, 24 Sep 2023 17:12:49 +0200

On Wed, 20 Sep 2023 11:22:51 +0800 Po Lu <[email-masked]> wrote:

> Stephen Berman <[email-masked]> writes:
>
>> On Mon, 18 Sep 2023 22:11:31 +0800 Po Lu <[email-masked]> wrote:
>>
>>> Stephen Berman <[email-masked]>
>>>
>>>> (gdb) up 0
>>>> #0 x_error_quitter (display=0x555555ead980, event=0x7fffffffc950)
>>>>     at /home/steve/src/emacs/emacs-master/src/xterm.c:26905
>>>> 26905	{
>>>> (gdb) p *error
>>>> $1 = {void (const char *, ...)} 0x55555575ae68 <error>
>>>>
>>>> FWIW, I get the same output when I run Emacs in gdb with -xrm
>>>> "emacs.synchronous: true", as requested by Eli.
>>>
>>> My apologies, I intended to ask for:
>>>
>>>   (gdb) p *event
>>
>> No problem:
>>
>> (gdb) r -Q -xrm "emacs.synchronous: true"
>> [...]
>> (gdb) frame 0
>> #0  x_error_quitter (display=0x555555ead980, event=0x7fffffffc930)
>>     at /home/steve/src/emacs/emacs-master/src/xterm.c:26905
>> 26905	{
>> (gdb) p *event
>> $1 = {
>>   type = 0,
>>   display = 0x555555ead980,
>>   resourceid = 62914833,
>>   serial = 3527,
>>   error_code = 168 '\250',
>>   request_code = 151 '\227',
>>   minor_code = 32 ' '
>> }
>
> Would you please send the backtrace from this as well?  The request code
> does not match that of any core request or extension on your display,
> and the backtrace you previously enclosed was not produced from an Emacs
> running synchronously.

(Sorry for not responding sooner; I was travelling.)  I already posted a
backtrace produced from -Q -xrm "emacs.synchronous: true" in the message
I referred to above, see the attachment to <[email-masked]>
<https://lists.gnu.org/archive/html/bug-gnu-emacs/2023-09/msg01928.html>.
Though as I pointed out in that message, the only apparent differences
from the first backtrace (produced from just -Q) are the specific
numerical values of addresses, struct members, etc.  Just to be sure I
just now repeated the asynchronous run again and got again a
structurally identical backtrace (i.e., differing only in address and
struct member numerical values).

Steve Berman